.BG
.FN bin1
.TL
Computes 1-D Histogram Bin Counts
.CS
bin1(x, ab=nicerange(x), nbin=50, warn=T)
.RA
.AG x
vector of x data.
.OA
.AG ab
vector of length 2 containing binning range
given by the half-open interval [a,b).
If no value is specified, the sample range
is stretched by 5% on each end.
.AG nbin
number of bins over ab.  Default 50.
.AG warn
suppress warning messages if False.
.RT
a list suitable for input to `ash1' containing:
.RC nc
vector of bin counts.
.RC ab
the input binning interval.
.RC nskip
number of points outside the binning interval [a,b).
.SH REFERENCES
Scott, D.W. (1979).  On Optimal and Data-Based Histograms.
.ul
Biometrika, 
\fB66\fR, 605-610.
.PP
Scott, D.W. (1992).  
.ul
Multivariate Density Estimation: Theory, Practice, and Visualization.
John Wiley & Sons, New York.
.SA
`ash1', `bin2', `ash2', `compress', `density', `ksmooth'
.EX
x <- rnorm(100)           # data vector
ab <- c(-5,5)             # binning interval
bins <- bin1(x,ab,20)     # bin x into 20 bins over ab
.KW ash, kernel, density, histogram, binning
.WR
